package types

import "time"

type MeasuredValue interface {
	GetID() string
	GetCreationDate() *time.Time
	GetMeasuredValueType() MeasuredValueType
	GetFromDate() time.Time
	GetTillDate() time.Time
	GetSensorID() string
	GetValue() float64
	SetCreationDate(date *time.Time)
	SetTillDate(date time.Time)
	SetUpdateDate(date *time.Time)
}

type MeasuredValueType string

const (
	MeasuredValueTypeHumidity    MeasuredValueType = "humidity"
	MeasuredValueTypeTemperature MeasuredValueType = "temperature"
)

var MeasuredValueTypes = []MeasuredValueType{
	MeasuredValueTypeHumidity,
	MeasuredValueTypeTemperature,
}
