package typeswitch

import (
	"github.com/go-flucky/flucky/pkg/types"
)

func HumidityValues(measuredValues []types.MeasuredValue) []types.MeasuredValue {
	cachedMeasuredValues := make([]types.MeasuredValue, 0)

	for _, measuredValue := range measuredValues {
		switch v := measuredValue.(type) {
		case *types.Humidity:
			cachedMeasuredValues = append(cachedMeasuredValues, v)
		}
	}

	return cachedMeasuredValues
}

func TemperatureValues(measuredValues []types.MeasuredValue) []types.MeasuredValue {
	cachedMeasuredValues := make([]types.MeasuredValue, 0)

	for _, measuredValue := range measuredValues {
		switch v := measuredValue.(type) {
		case *types.Temperature:
			cachedMeasuredValues = append(cachedMeasuredValues, v)
		}
	}

	return cachedMeasuredValues
}
